[php-maint] Bug#471336: libapache2-mod-php5: please consider providing debugging version without suhosin

Marc Haber mh+debian-bugs at zugschlus.de
Mon Mar 17 13:19:34 UTC 2008

Package: libapache2-mod-php5
Version: 5.2.5-3
Severity: wishlist


some authors of PHP applications claim that the suohsin patch might be
the cause for applications misbehavior. For debugging, it would be
good to have a PHP package version without suhosin patch applied.

Please consider generating such a package during your package build
process. Or, should this be impractical, document how to build a PHP
without suhosin from the Debian sources. This shuold be ideally be
controllable from a variable set in debian/rules so that re-building
is easy.

Thanks for considering this.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux (PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libapache2-mod-php5 depends on:
ii  apache2-mpm-prefork   2.2.8-3            Traditional model for Apache HTTPD
ii  apache2.2-common      2.2.8-3            Next generation, scalable, extenda
ii  libbz2-1.0            1.0.4-4            high-quality block-sorting file co
ii  libc6                 2.7-9              GNU C Library: Shared libraries
ii  libcomerr2            1.40.8-2           common error description library
ii  libdb4.6              4.6.21-6           Berkeley v4.6 Database Libraries [
ii  libkrb53              1.6.dfsg.3~beta1-3 MIT Kerberos runtime libraries
ii  libmagic1             4.23-2             File type determination library us
ii  libpcre3              7.6-2              Perl 5 Compatible Regular Expressi
ii  libssl0.9.8           0.9.8g-7           SSL shared libraries
ii  libxml2               2.6.31.dfsg-2      GNOME XML library
ii  mime-support          3.40-1.1           MIME files 'mime.types' & 'mailcap
ii  php5-common           5.2.5-3            Common files for packages built fr
ii  ucf                   3.005              Update Configuration File: preserv
ii  zlib1g                1:  compression library - runtime

libapache2-mod-php5 recommends no packages.

-- no debconf information

More information about the pkg-php-maint mailing list